Get task logs
GET
/tasks/logs/{id}Contract
Parameter | Value |
|---|---|
| Section | tasks |
| Authentication | CookieAuth |
| Consumes | not required |
| Produces | application/json |
Parameters
3 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| id | path | yes | integer | Task ID |
| after_ts | query | no | string | Return only lines after this timestamp |
| cursors | query | no | string | Per-agent time cursors, for example host1:123,host2:456 |
Responses
4 responses
Status | Description | Type |
|---|---|---|
200 | Response: {lines: [...]} | object |
400 | Invalid task ID | object |
401 | Unauthorized | object |
500 | Internal server error | object |
{}{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }